package org.apache.ws.resource;

/**
 * An interface for exposing resource destruction events.
 *
 * @author Sal Campana
 */
public interface ResourceDestruction
{
    /**
     * Adds a listener for ResourceDestructionEvents
     *
     * @param listener
     */
    void addResourceDestructionListener( ResourceDestructionListener listener);

    /**
     * Removes a listener for ResourceDestructionEvents
     *
     * @param listener
     * @return  true if the listener was removed, else false
     */
    boolean removeResourceDestructionListener( ResourceDestructionListener listener);
}
