package org.apache.ws.resource;

import org.apache.ws.addressing.EndpointReference;

/**
 * A Resource Destruction Event which contains the EndpointReference for
 * the Resource which was destroyed.
 *
 * @author Sal Campana
 */
public class ResourceDestructionEvent implements ResourceEvent
{
    EndpointReference m_epr;
    Object m_resourceId;

    public ResourceDestructionEvent(EndpointReference epr)
    {
        m_epr = epr;
    }

    public void setResourceId(Object resourceId)
    {
        m_resourceId = resourceId;
    }

    /**
     * Returns the EndpointRefrence for the Resource the event isassociated with.
     *
     * @return EndpointReference
     */
    public EndpointReference getEndpointReference()
    {
        return m_epr;
    }

    /**
     * Returns the ResourceID of the resource the event is about.
     *
     * @return The resource id of the resource.
     */
    public Object getResourceID()
    {
        return m_resourceId;
    }
}
