package org.apache.ws.resource;

/**
 * This interface is provided for listeners to be able to be notified
 * when a Resource is removed from the ResourceHome.  Removal from the home
 * is viewed as the resource being destroyed and unaccessible.
 *
 * @author Sal Campana
 */
public interface ResourceDestructionListener
{
    /**
     * Method to receive notifcations when resources are deleted (removed from home).
     *
     * @param rde
     */
    void destructionOccurred( ResourceDestructionEvent rde );
}
