package org.apache.ws.resource;

import org.apache.ws.addressing.EndpointReference;

/**
 * An interface defining a base event for resource destruction and creation.
 *
 * @author Sal Campana
 */
public interface ResourceEvent
{
    /**
     * Returns the EndpointRefrence for the Resource the event isassociated with.
     *
     * @return  EndpointReference
     */
    EndpointReference getEndpointReference();

    /**
     * Returns the ResourceID of the resource the event is about.
     *
     * @return The resource id of the resource.
     */
    Object getResourceID();
}
