/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.handler;

import org.apache.ws.resource.ResourceContext;

import javax.xml.namespace.QName;

/**
 * @author Sal Campana
 */
public class WsddSoapMethodNameMap
   extends AbstractSoapMethodNameMap
{
   private ResourceContext m_resourceContext;

   /**
    * Creates a new {@link WsddSoapMethodNameMap} object.
    *
    * @param context DOCUMENT_ME
    */
   public WsddSoapMethodNameMap( ResourceContext context )
   {
      m_resourceContext = context;
   }

   /**
    * DOCUMENT_ME
    *
    * @param request DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public String getDefaultMethodName( QName request )
   {
      return (String) m_resourceContext.getProperty( request.toString(  ) );
   }

    /**
     * Returns a Default name for a method based on a request's WS-Addressing Action Header.
     *
     * @param action String representation of WS-Addressing Action Header Value
     * @return A defualt name for the method.
     */
    public String getSpecActionMethodName(String action)
    {
        return null;//todo not sure if we need something here
    }

    /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public SoapMethodNameMap getParent(  )
   {
      return null;
   }
}