package org.apache.ws.resource.properties.faults;

import org.apache.ws.resource.faults.AbstractBaseFaultException;
import org.apache.ws.resource.properties.NamespaceVersionHolder;
import org.apache.ws.resource.NamespaceConstants;

import javax.xml.namespace.QName;



/**
 * A fault exception to be used when a refresh callback operation fails.
 *
 * @author Sal Campana
 */
public class ResourcePropertyRetrievalFailedFaultException extends AbstractBaseFaultException
{
    QName m_name;

    public ResourcePropertyRetrievalFailedFaultException(NamespaceVersionHolder namespaceSet, String faultString, QName faultCode)
    {
        super(namespaceSet, faultString, faultCode);
    }

    public ResourcePropertyRetrievalFailedFaultException(NamespaceVersionHolder namespaceSet, String faultString)
    {
        super(namespaceSet, faultString);
    }

    public QName getBaseFaultName()
    {
        return new QName(NamespaceConstants.NSURI_APACHE_WS_RESOURCE,"ResourcePropertyRetrievalFailedFault");
    }
}
