/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.properties.query;

import org.apache.ws.util.xml.NamespaceContext;

import java.net.URI;

/**
 * Java representation of the wsrf-rp:QueryExpressionType XML schema type.
 *
 * @author Ian P. Springer
 */
public interface QueryExpression
{

    /**
     * Returns the dialect of this query expression.
     */
    URI getDialect();

    /**
     * Returns the content of this query expression (typically a String).
     */
    Object getContent();

    /**
     * Returns a namespace context object (e.g. a DOM Element) that can be used
     * to resolve prefixes within this query expression's content.
     */
    NamespaceContext getNamespaceContext();

}