package org.apache.ws.resource.properties.v2004_11.porttype.impl;

import org.apache.ws.resource.ResourceContext;
import org.apache.ws.resource.properties.NamespaceVersionHolder;
import org.apache.ws.resource.properties.impl.AbstractResourcePropertiesPortType;
import org.apache.ws.resource.properties.impl.AbstractSetResourcePropertiesPortType;
import org.apache.ws.resource.properties.impl.AbstractXmlBeansResourcePropertyValueChangeEvent;
import org.apache.ws.resource.properties.v2004_11.porttype.DeleteResourcePropertiesPortType;
import org.apache.ws.resource.properties.v2004_11.impl.NamespaceVersionHolderImpl;
import org.apache.ws.resource.properties.v2004_11.impl.XmlBeansResourcePropertyValueChangeEvent;
import org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceProperties12Draft05.DeleteResourcePropertiesDocument;
import org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceProperties12Draft05.DeleteResourcePropertiesResponseDocument;

import javax.xml.namespace.QName;

/**
 * @author Ian Springer
 */
public class DeleteResourcePropertiesPortTypeImpl extends AbstractSetResourcePropertiesPortType
        implements DeleteResourcePropertiesPortType
{

    private static final NamespaceVersionHolder NAMESPACE_SET = new NamespaceVersionHolderImpl();

    /**
     * Creates a new {@link DeleteResourcePropertiesPortTypeImpl} object.
     *
     * @param resourceContext DOCUMENT_ME
     */
    public DeleteResourcePropertiesPortTypeImpl( ResourceContext resourceContext )
    {
        super( resourceContext );
    }

    protected AbstractXmlBeansResourcePropertyValueChangeEvent getResourcePropertyValueChangeEvent(Object[] oldValue, Object[] newValue)
    {
        return new XmlBeansResourcePropertyValueChangeEvent(oldValue,newValue);
    }

    /**
     * DOCUMENT_ME
     *
     * @param requestDoc DOCUMENT_ME
     *
     * @return DOCUMENT_ME
     */
    public DeleteResourcePropertiesResponseDocument deleteResourceProperties(
            DeleteResourcePropertiesDocument requestDoc )
    {
        DeleteResourcePropertiesResponseDocument responseDoc = createResponseDocument();
        DeleteResourcePropertiesDocument.DeleteResourceProperties requestElem = requestDoc.getDeleteResourceProperties();
        QName nameOfPropToBeDeleted = requestElem.getDelete().getResourceProperty();
        deleteResourceProperty( nameOfPropToBeDeleted );
        return responseDoc;
    }

    private DeleteResourcePropertiesResponseDocument createResponseDocument()
    {
        DeleteResourcePropertiesResponseDocument responseDoc = DeleteResourcePropertiesResponseDocument.Factory.newInstance();
        responseDoc.addNewDeleteResourcePropertiesResponse();
        return responseDoc;
    }

    protected NamespaceVersionHolder getNamespaceSet()
    {
        return NAMESPACE_SET;
    }

}
