/*
 * Copyright 2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.ws.resource.servicegroup.v2004_06.porttype;

import org.apache.ws.resource.properties.v2004_06.porttype.GetResourcePropertyPortType;
import org.apache.ws.resource.servicegroup.v2004_06.ServiceGroupConstants;

import javax.xml.namespace.QName;

/**
 * The WSRF-SG ServiceGroup portType.
 *
 * @author Ian P. Springer (Hewlett-Packard Company)
 */
public interface ServiceGroupPortType extends GetResourcePropertyPortType
{

    QName NAME = new QName( ServiceGroupConstants.NSURI_WSSG_WSDL, "ServiceGroup", ServiceGroupConstants.NSPREFIX_WSSG_WSDL );

    /**
     * "MembershipContent" property (type="wsa:EndpointReferenceType", minOccurs="0", maxOccurs="unbounded").
     */
    QName PROP_NAME_MEMBERSHIP_CONTENT_RULE = new QName( ServiceGroupConstants.NSURI_WSSG_SCHEMA, "MembershipContentRule", ServiceGroupConstants.NSPREFIX_WSSG_SCHEMA );

    /**
     * "Entry" property (type="wssg:EntryType", minOccurs="0", maxOccurs="unbounded")
     */
    QName PROP_NAME_ENTRY = new QName( ServiceGroupConstants.NSURI_WSSG_SCHEMA, "Entry", ServiceGroupConstants.NSPREFIX_WSSG_SCHEMA );

}
