package org.apache.ws.util.soap;

import org.apache.ws.XmlObjectWrapper;
import org.apache.xmlbeans.XmlObject;

/**
 * A Facade Wrapper for a SOAPEnvelope
 *
 * @author Sal Campana
 */
public class Envelope implements XmlObjectWrapper
{
    XmlObject m_xmlObject;
    Body m_body;
    Header m_header;

    public Envelope(org.w3.x2003.x05.soapEnvelope.EnvelopeDocument envelope)
    {
        if(envelope.getEnvelope() == null)
        {
           throw new IllegalArgumentException("There must be an Envelope in the EnvelopeDocument.");
        }
        m_xmlObject = envelope;
        m_body = new Body(envelope.getEnvelope().getBody());
        m_header = new Header(envelope.getEnvelope().getHeader());
    }

    public Envelope(org.xmlsoap.schemas.soap.envelope.EnvelopeDocument envelope)
    {
        if(envelope.getEnvelope() == null)
        {
            throw new IllegalArgumentException("There must be an Envelope in the EnvelopeDocument.");
        }
        m_xmlObject = envelope;
        m_body = new Body(envelope.getEnvelope().getBody());
        m_header = new Header(envelope.getEnvelope().getHeader());
    }

    public Body getBody()
    {
        return m_body;
    }

    public Header getHeader()
    {
        return m_header;
    }

    public XmlObject getXmlObject()
    {
        return m_xmlObject;
    }
}
